<?php

namespace Drupal\userway_tool\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class of UserwayToolConfiguration.
 */
class UserwayToolConfiguration extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'userway_configuration_form';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'userway_tool.userway_configuration',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Default settings.
    $config = $this->config('userway_tool.userway_configuration');

    // Userway API key.
    $form['userway_key'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Userway key'),
      '#default_value' => $config->get('userway_key'),
      '#description' => $this->t('Give your userway data account key.'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('userway_tool.userway_configuration');
    $config->set('userway_key', $form_state->getValue('userway_key'));
    $config->save();
    return parent::submitForm($form, $form_state);
  }

}
